Monitors
Viewing API version 2026-05-01. View the latest version.
List sources applicable to a company
Lists the monitoring sources that apply to a specific company (filtered by jurisdiction and capability availability).
Query Parameters
kausateId*string
The Kausate ID of the company
Header Parameters
Kausate-Version?string
Default
"2026-05-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/monitors/sources" \ -H "Kausate-Version: 2026-05-01"{
"sources": [
{
"name": "string",
"dataSource": "string",
"integrationName": "string",
"jurisdictions": [
"string"
],
"mode": "per_company_pull",
"producesCategories": [
"status"
],
"requiredCapability": "string"
}
]
}{
"detail": "Not authenticated",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Company not found",
"code": "company.not_found",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"jurisdictionCode"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An internal error occurred",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on